import { DocBuilderRoot } from "./docBuilderRoot.js";
import { PromptTemplate } from "../aiProvider/promptTemplates.js";
export declare class DocBuilderLwc extends DocBuilderRoot {
    docType: string;
    placeholder: string;
    promptKey: PromptTemplate;
    xmlRootKey: string;
    docsSection: string;
    static buildIndexTable(prefix: string, lwcDescriptions: any, filterObject?: string | null): string[];
    buildInitialMarkdownLines(): Promise<string[]>;
    private generateJsDocumentation;
    private listComponentFiles;
    stripXmlForAi(): Promise<string>;
}
